Subject: Re: [PATCH 00/11] detect misspelt test_expect_success and friends

From: Junio C Hamano <[email-masked]>
Date: Wed, 25 Mar 2026 06:47:36 -0700

Patrick Steinhardt <[email-masked]> writes:

>> Note that I let cvs, svn, and p4 tests run only up to the point that
>> they decide to punt due to lack of external tools and language
>> bindings they require, so for those of you who do have the necessary
>> bindings, the scripts may still fail due to construct that are not
>> "set -e" clean after they call "test_done" for me.
>> 
>>  01/11: test-lib: catch misspelt 'test_expect_successo'
>>  02/11: t0008: make test "set -e" clean
>>  03/11: t6002: make test "set -e" clean
>>  04/11: t4032: make test "set -e" clean
>>  05/11: t7450: make test "set -e" clean
>>  06/11: tests: make svn test "set -e" clean
>>  07/11: t7508: make test "set -e" clean
>>  08/11: t9200: make test "set -e" clean
>>  09/11: t940?: make test "set -e" clean
>>  10/11: t5570: make test "set -e" clean
>>  11/11: t9902: make test "set -e" clean
>
> Oh well, you beat me to it :)

I may have posted these before you did, but from what you see on
your comments to these patches, it seems that you did a better job,
perhaps?  I focused on staying as close to the original implemenation
as possible to reduce the chances of silly mistakes that subtly change
the semantics, but for some obvious cases, trivial improvements like
turning "! A || B" into "if A; then B; fi" may be worthwhile clean-up
to be done in the same series (if not in the same patch).

Thanks.